
require 'facet/string/to_arr'

class String

  # Alias for #to_arr. See #to_arr for documentation.
  #
  # WARNING! Use this method with caution as its default behavior
  # (i.e. chars splitting) is nonconvential (unfortunately).
  #
  alias_method :to_a, :to_arr

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCString < Test::Unit::TestCase

    def test_to_a
      arr = 'abc'
      assert_equal( ['a','b','c'], arr.to_a )
    end

  end

=end
