#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# for lib/facet/dir/self/ls_r.rb
#
# Extracted Wed Jan 25 11:25:39 EST 2006
# Unit Tools Reap Test Extractor
#

require 'facet/dir/self/ls_r.rb'


  require 'test/unit'

  # FIND TEST DIRECTORY
  paths = File.expand_path(File.dirname(__FILE__)).split('/')
  paths.size.downto(1) do |i|
    f = (paths.slice(0..i)+['test']).join('/')
    $TESTDIR = File.join(f,'FIXTURE') if File.directory?(f)
  end
  raise unless $TESTDIR

  class TCDir < Test::Unit::TestCase

    def test_ls_r
      td = Dir.pwd
      Dir.chdir $TESTDIR
        r = ["A", "A/B","A/B/C.txt", "A/B.txt", "A.txt"].collect{ |e| 
          File.join( 'ls_r', e )
        }
        fs = Dir.ls_r( 'ls_r' )
        assert_equal( r, fs, Dir.pwd  )
      Dir.chdir td
    end

    def test_recurse
      td = Dir.pwd
      Dir.chdir $TESTDIR
        r = ["A", "A/B","A/B/C.txt", "A/B.txt", "A.txt"].collect{ |e| 
          File.join( 'ls_r', e )
        }
        fs = Dir.recurse( 'ls_r' )
        assert_equal( r, fs, Dir.pwd )
      Dir.chdir td
    end

  end


