#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# for lib/facet/string/bracket.rb
#
# Extracted Wed Jan 25 11:25:39 EST 2006
# Unit Tools Reap Test Extractor
#

require 'facet/string/bracket.rb'


  require 'test/unit'

  class TCString < Test::Unit::TestCase

    def test_bracket
      assert_equal( '#X#', 'X'.bracket('#') )
      assert_equal( 'xX!', 'X'.bracket('x','!') )
      assert_equal( '{X}', 'X'.bracket('{','}') )
      assert_equal( '<X>', 'X'.bracket('<') )
      assert_equal( '(X)', 'X'.bracket('(') )
      assert_equal( '[X]', 'X'.bracket('[') )
      assert_equal( '{X}', 'X'.bracket('{') )
    end

    def test_braket!
      a = 'X' ; a.bracket!('#')
      assert_equal( '#X#', a )
      a = 'X' ; a.bracket!('x','!')
      assert_equal( 'xX!', a )
      a = 'X' ; a.bracket!('{','}')
      assert_equal( '{X}', a )
      a = 'X' ; a.bracket!('<')
      assert_equal( '<X>', a )
      a = 'X' ; a.bracket!('(')
      assert_equal( '(X)', a )
      a = 'X' ; a.bracket!('[')
      assert_equal( '[X]', a )
      a = 'X' ; a.bracket!('{')
      assert_equal( '{X}', a )
    end

  end


